#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: juk
Summary: A music player and manager for KDE
Epoch: 3
Version: 4.10.2
Release: %mkrel %{rel}
Group: Sound/Players
License: GPLv2
URL: http://www.kde.org/applications/multimedia/juk/
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: kdelibs4-devel >= 2:%version
BuildRequires: pkgconfig(taglib) >= 1.6
Conflicts: kdemultimedia4-core < 3:4.5.71
Conflicts: kdemultimedia4-devel < 3:4.6.90-3

Requires: kdebase4-runtime
Suggests: juk-handbook

%description
JuK is an audio jukebox application, supporting collections of MP3, Ogg
Vorbis, and FLAC audio files. It allows you to edit the "tags" of your
audio files, and manage your collection and playlists. It's main focus,
in fact, is on music management.

%files 
%_kde_appsdir/juk
%_kde_bindir/juk
%_kde_iconsdir/*/*/apps/juk.*
%_kde_applicationsdir/juk.desktop
%_kde_services/ServiceMenus/jukservicemenu.desktop
%_datadir/dbus-1/interfaces/org.kde.juk.collection.xml
%_datadir/dbus-1/interfaces/org.kde.juk.player.xml
%_datadir/dbus-1/interfaces/org.kde.juk.search.xml

#------------------------------------------------------------------------------

%package handbook
Summary: juk handbook
Conflicts: juk < 3:4.7.1
Requires: juk >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides juk handbook

%files handbook
%_kde_docdir/HTML/en/juk

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407195
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401840
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394368
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 355686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339421
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334522
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326727
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320284
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316169
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 301939
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289729
- Update tarball to KDE SC 4.9.1
- Remove libtunepimp-devel as BR (it's now obsoleted upstream)

* Tue Jul 31 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 276663
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 269652
- new version 4.8.97

* Wed Jun 27 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 264297
- imported package juk

